using System;
using Server.Items;
using Server.Network;

namespace Server.Items 
{ 
//    [FlipableAttribute( 2493, 2494, 2516, 2517 )] 
   public class PlateOfFood1 : Item
   { 
	  
	  [Constructable]
		public PlateOfFood1() : base( 2520 )
		{
			Weight = 1.0;
         Name = "Plate of food";
			Movable = true;
		}

      public PlateOfFood1( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
   
   public class PlateOfFood2 : Item
   { 
	  [Constructable]
		public PlateOfFood2() : base( 2479 )
		{
			Weight = 1.0;
         Name = "Plate of food";
			Movable = true;
		}

      public PlateOfFood2( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
   
   public class PlateOfFood3 : Item
   { 
	  [Constructable]
		public PlateOfFood3() : base( 2521 )
		{
			Weight = 1.0;
         Name = "Plate of food";
			Movable = true;
		}

      public PlateOfFood3( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
   
   public class PlateOfFood4 : Item
   { 
	  [Constructable]
		public PlateOfFood4() : base( 2522 )
		{
			Weight = 1.0;
         Name = "Plate of food";
			Movable = true;
		}

      public PlateOfFood4( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
   
   public class DirtyPlate : Item
   { 
	  [Constructable]
		public DirtyPlate() : base( 2478 )
		{
			Weight = 1.0;
         Name = "Dirty Plate";
			Movable = true;
		}

      public DirtyPlate( Serial serial ) : base( serial ) 
      { 
      } 
      public override void Serialize( GenericWriter writer )
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
}